%define lib_major 14
%define version_major 14
%define lib_name %mklibname %{name} %{lib_major}

Summary:	A free client-side implementation of HBCI
Name:		openhbci
Version:	0.9.%{version_major}
Release:	%mkrel 6
Source0:	http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.bz2
# (fc) 0.9.11-1mdk don't put version in plugin soname
Patch0:		openhbci-0.9.11-modules.patch
Patch2:		openhbci-0.9.14-gcc34.patch
Patch3:		openhbci-0.9.14-fix-underquoted-calls.patch
Group:		System/Libraries
License:	LGPL
URL:		http://www.openhbci.de/
BuildRequires:	openssl-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.  For chipcard support,
libchipcard (http://www.libchipcard.de) is needed.  For actual
homebanking, use an application like AqMoney (http://aqmoney.sf.net)
or GnuCash (http://www.gnucash.org)

%package -n	%{lib_name}
Summary:	Libraries for openhbci
Group:		System/Libraries

%description -n	%{lib_name}
This package provides libraries to use openhbci.

%package -n	%{lib_name}-devel
Group:		Development/C++
Summary:	Libraries needed to develop for openhbci
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Libraries needed to develop for openhbci.


%prep
%setup -q
%patch0 -p1 -b .modules
%patch2 -p0 -b .gcc34
%patch3 -p1 -b .underquoted

#needed by patch0
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7; autoconf

%build
# XXX properly fix in configury, use pkg-config first, then try to lookup standard paths
%configure2_5x --enable-static=no --with-plugin-path=%{_libdir}/openhbci/plugins --with-openssl-libs=%{_libdir}

%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/openhbci/plugins/%{version_major}/media/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_libdir}/*.so.*
%dir %{_libdir}/openhbci
%dir %{_libdir}/openhbci/plugins
%dir %{_libdir}/openhbci/plugins/%{version_major}
%dir %{_libdir}/openhbci/plugins/%{version_major}/media
%{_libdir}/openhbci/plugins/%{version_major}/media/*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/openhbci-config
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*



%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.14-6mdv2008.1
+ Revision: 180110
- fix build
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.14-5mdk
- fix underquoted calls (P3)
- cosmetics

* Tue Jan 03 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9.14-4mdk
- Rebuild (libcrypto.so.0.9.8)
- %%mkrel

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.14-3mdk
- fix build on lib64 platforms, avoid patch

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.9.14-2mdk 
- rebuild for new gcc ( patch 2 )

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.14-1mdk
- Release 0.9.14

* Thu Oct 02 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.13-2mdk
- lib64 fixes

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.13-1mdk
- Release 0.9.13

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.12-1mdk
- Release 0.9.12

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.11-1mdk
- Release 0.9.11

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.9-2mdk
- Fix BuildRequires

* Thu Apr 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.9-1mdk
- Release 0.9.9

* Tue Feb 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7

* Tue Feb 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Initial Mdk package

